create table adsm.usagedb
  (date         date,
   server       char(9),
   numnodes     integer,
   numfiles     integer,
   spacemb      decimal(31,2),
   cache_hit    decimal(5,2))
in adsm;

create table adsm.usagestgpool
  (date         date,
   server       char(9),
   stgpool      varchar(30),
   numfiles     integer,
   spacemb      decimal(31,2))
in adsm;

create table adsm.usagefs
  (date         date,
   server       char(9),
   node         varchar(64),
   type         char(4),
   filespace    varchar(254),
   stgpool      varchar(30),
   numfiles     integer,
   spacemb      decimal(31,2))
in adsm;

create table adsm.session
  (prodlevel    char(1),
   prodsublevel char(2),
   prod         char(4),
   date         date,
   time         time,
   node         varchar(64),
   owner        varchar(64),
   platform     varchar(32),
   authm        smallint,
   comm         varchar(32),
   termind      smallint,
   archobjs     integer,
   archkb       integer,
   retrobjs     integer,
   retrkb       integer,
   backobjs     integer,
   backkb       integer,
   restobjs     integer,
   restkb       integer,
   commkb       integer,
   totalsec     integer,
   idlewsec     integer,
   commwsec     integer,
   mediawsec    integer,
   sesstype     smallint,
   spmobjs      integer,
   spmkb        integer,
   spmrecobjs   integer,
   spmreckb     integer)
in adsm;

create table adsm.sesstot
  (date         date,
   server       char(9),
   activity     char(8),
   sessions     integer,
   objects      integer,
   spacemb      decimal(31,2),
   avgxfer      decimal(31,1),
   maxxfer      decimal(31,1),
   minxfer      decimal(31,1))
in adsm;
